> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/ios/sentcompletionhandlers.md).

# SENTCompletionHandlers

### SENTStartTripFailureReason

Failure Issues when Starting a trip manually.

| Issue                                          | Description                                                                     |
| ---------------------------------------------- | ------------------------------------------------------------------------------- |
| SENTStartTripFailureReasonNoUser               | No Sentiance user is present on device.                                         |
| SENTStartTripFailureReasonDetectionsDisabled   | Detections are disabled. Enable them first before starting a trip.              |
| SENTStartTripFailureReasonDetectionsBlocked    | Detections are enabled but not running. Check the SDK's status to find out why. |
| SENTStartTripFailureReasonTripAlreadyStarted   | An external trip is already started.                                            |
| SENTStartTripFailureReasonUserDisabledRemotely | The user is disabled remotely.                                                  |

### SENTSubmitDetectionsFailureReason

Failure issues when submitting detections manually.

<table><thead><tr><th width="528.3488372093024">Issue</th><th>Description</th></tr></thead><tbody><tr><td>SENTSubmitDetectionsFailureReasonNoUser</td><td>No Sentiance user is present on device.</td></tr><tr><td>SENTSubmitDetectionsFailureReasonNetworkError</td><td>A network error occurred.</td></tr><tr><td>SENTSubmitDetectionsFailureReasonUserDisabledRemotely</td><td>The user is disabled remotely.</td></tr></tbody></table>

### SENTUserAccessTokenFailureReason

Failure issues when requesting user access token.

| Issue                                                | Description                                                                                                                                            |
| ---------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| SENTUserAccessTokenFailureReasonNoUser               | No Sentiance user is present on device. Call createUserWithOptions:completionHandler: to create a user.                                                |
| SENTUserAccessTokenFailureReasonNetworkError         | A network error occurred. This can happen when the existing token is expired, and it was not possible to contact the Sentiance platform to refresh it. |
| SENTUserAccessTokenFailureReasonUserDisabledRemotely | The user is disabled remotely.                                                                                                                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/sentcompletionhandlers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
